{
  config,
  lib,
  pkgs,
  fetchFromGitHub,
  ...
}:
let
  cfg = config.modules.hyfetch;
in
{
  options.modules.hyfetch = {
    enable = lib.mkEnableOption "hyfetch";
  };
  config = lib.mkIf cfg.enable {
    home.packages = [ pkgs.fastfetch ];
    programs.hyfetch = {
      enable = true;
      settings = {
        "preset" = "bisexual";
        "mode" = "rgb";
        "auto_detect_light_dark" = true;
        "light_dark" = "dark";
        "lightness" = 0.5;
        "color_align" = {
          "mode" = "custom";
          "custom_colors" = {
            "1" = 1;
            "2" = 0;
          };
        };
        "backend" = "fastfetch";
        "args" = null;
        "distro" = null;
        "pride_month_disable" = false;
        "custom_ascii_path" = null;
      };
    };
  };
}
